package com.qmth.teachcloud.mark.bean.archivescore;

import com.qmth.teachcloud.mark.dto.mark.ScoreItem;

import java.util.List;

public class MarkStudentScoreVo {
    private Long examId;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private String studentCode;
    private String studentName;
    private Double objectiveScore;
    private List<ScoreItem> objectiveScoreList;
    private Double subjectiveScore;
    private List<ScoreItem> subjectiveScoreList;
    private Double totalScore;
    private List<ScoreItem> totalScoreList;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public List<ScoreItem> getObjectiveScoreList() {
        return objectiveScoreList;
    }

    public void setObjectiveScoreList(List<ScoreItem> objectiveScoreList) {
        this.objectiveScoreList = objectiveScoreList;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public List<ScoreItem> getSubjectiveScoreList() {
        return subjectiveScoreList;
    }

    public void setSubjectiveScoreList(List<ScoreItem> subjectiveScoreList) {
        this.subjectiveScoreList = subjectiveScoreList;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public List<ScoreItem> getTotalScoreList() {
        return totalScoreList;
    }

    public void setTotalScoreList(List<ScoreItem> totalScoreList) {
        this.totalScoreList = totalScoreList;
    }
}
